Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/domain
complexType server-startType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/domain}configurationType
          {http://www.bea.com/ns/weblogic/90/domain}server-startType

Model
  `<...>
  name?, notes?, java-home?, class-path?, bea-home?, root-directory?, security-policy-file?, arguments?, max-restart-count?, username?, password-encrypted?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: none

Documentation

  This bean is used to configure the attributes necessary to start up a server on a remote machine.

  MBean: `ServerStartMBean`

Nested Element Summary
`annonymous type derived from string` | `name` optional
`string` | `notes` optional Optional information that you can include to describe this configuration.
`string` | `java-home` optional The Java home directory (path on the machine running Node Manager) to use when starting this server.
`string` | `class-path` optional The classpath (path on the machine running Node Manager) to use when starting this server.
`string` | `bea-home` optional The BEA home directory (path on the machine running Node Manager) to use when starting this server.
`string` | `root-directory` optional The directory that this server uses as its root directory.
`string` | `security-policy-file` optional The security policy file (directory and filename on the machine running Node Manager) to use when starting this server.
`string` | `arguments` optional The arguments to use when starting this server.
`int` | `max-restart-count` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`string` | `username` optional The user name to use when booting this server.
`string` | `password-encrypted` optional The encrypted password of the username used to boot the server and perform server health monitoring.

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1